User account creation filtered due to spam.

Bug 2279 - Verify bytecode after creating it
Summary: Verify bytecode after creating it
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: java (show other bugs)
Version: unknown
: P3 enhancement
Target Milestone: 4.3.0
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on: 28067
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-13 12:26 UTC by Tom Tromey
Modified: 2007-01-09 20:43 UTC (History)
4 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2005-09-23 22:55:37


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Tromey 2001-03-13 12:26:00 UTC
On more than one occasion we've had bugs in
the bytecode generator which caused verification
errors in not only the JDK verifier but also in
our own.

I think we should change gcj to optionally run
bytecode verification on the bytecode we generate.
That way such bugs will be caught early.

I think we should have a new `-fverify-bytecode'
option which enables this.  This option should 
default to `on' when --enable-checking is used.
Furthermore we should always specify this option
when building libgcj.  (This is important because
we don't actually ever check to make sure that the
`gcj -C' output in the libjava build tree is any
good.)

Release:
unknown
Comment 1 Tom Tromey 2001-03-13 17:00:43 UTC
From: Tom Tromey <tromey@redhat.com>
To: Bryce McKinlay <bryce@albatross.co.nz>
Cc: gcc-gnats@gcc.gnu.org
Subject: Re: java/2279: Verify bytecode after creating it
Date: 13 Mar 2001 17:00:43 -0700

 >> (This is important because we don't actually ever check to make
 >> sure that the `gcj -C' output in the libjava build tree is any
 >> good.)
 
 Bryce> Yeah - right now it doesn't matter much if the libgcj.jar
 Bryce> bytecode is good or not, but it will matter when we get a JIT
 Bryce> which wants to inline some methods from the class libraries.
 
 Good point.  I had only been thinking of it in terms of having some
 kind of sanity check for `gcj -C'.  Right now we don't do much
 checking of that.
 
 Tom
Comment 2 Bryce McKinlay 2001-03-14 10:55:45 UTC
From: Bryce McKinlay <bryce@albatross.co.nz>
To: tromey@redhat.com
Cc: gcc-gnats@gcc.gnu.org
Subject: Re: java/2279: Verify bytecode after creating it
Date: Wed, 14 Mar 2001 10:55:45 +1300

 tromey@redhat.com wrote:
 
 > (This is important because
 > we don't actually ever check to make sure that the
 > `gcj -C' output in the libjava build tree is any
 > good.)
 
 Yeah - right now it doesn't matter much if the libgcj.jar bytecode is
 good or not, but it will matter when we get a JIT which wants to
 inline some methods from the class libraries.
 
 regards
 
   [ bryce ]
 
 

Comment 3 Tom Tromey 2007-01-09 20:43:22 UTC
All gcj front end bugs have been fixed by the gcj-eclipse branch merge.
I'm mass-closing the affected PRs.
If you believe one of these was closed in error, please reopen it
with a note explaining why.
Thanks.